<!DOCTYPE html>
<html>
<head>
  <title></title>
  <link href="https://fonts.googleapis.com/css?family=Righteous&display=swap" rel="stylesheet">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/animate.css/3.7.2/animate.min.css">
</head>
<style>
  body {
    background:#33d9b2;
    font-size: 12px;
  }
  
  body, button, input {
    font-family: 'Righteous', cursive;
    font-weight: 700;
    letter-spacing: 1.4px;
  }
  
  .background {
    display: flex;
    min-height: 100vh;
  }
  
  .container {
    flex: 0 1 950px;
    margin: auto;
    padding: 10px;
  }
  
  .screen {
    position: relative;
    background: #3e3e3e;
    border-radius: 15px;
  }
  
  .screen:after {
    content: '';
    display: block;
    position: absolute;
    top: 0;
    left: 20px;
    right: 20px;
    bottom: 0;
    border-radius: 15px;
    box-shadow: 0 20px 40px rgba(0, 0, 0, .4);
    z-index: -1;
  }
  
  .screen-body {
    display: flex;
  }
  
  .screen-body-item {
    flex: 1;
    padding: 50px;
  }
  
  .screen-body-item.left {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
  
  }
  
  .app-title {
    display: flex;
    /*flex-direction: column;*/
    justify-content: center;
    align-items: center;
    color: #33d9b2;
    font-size: 26px;
    text-transform: uppercase;
    border-left: 4px solid #218c74;
    padding: 10px;
  }
  
  .app-form-group {
    margin-bottom: 15px;
  }
  
  .app-form-group.buttons {
    margin-bottom: 0;
    text-align: right;
  }
  
  .app-form-control {
    width: 100%;
    padding: 10px 0;
    background: none;
    border: none;
    border-bottom: 1px solid #666;
    color: #ddd;
    font-size: 14px;
    text-transform: uppercase;
    outline: none;
    transition: border-color .2s;
  }
  
  .app-form-control1 {
    width: 100%;
    padding: 10px 0;
    background: none;
    border: none;
    color: #33d9b2;
    text-align: center;
    font-size: 18px;
    text-transform: uppercase;
    outline: none;
    transition: border-color .2s;
  }
  
  .app-form-control::placeholder {
    color: #FFF;
  }
  
  .app-form-control:focus {
    border-bottom-color: #ddd;
  }
  
  .app-form-button {
    background: none;
    border: none;
    color: #33d9b2;
    font-size: 14px;
    cursor: pointer;
    outline: none;
    text-transform: uppercase;
  }
  
  .app-form-button:hover {
    color: #218c74;
  }
  
  .showdata{
    text-align: center;
    color: white;
    font-size: 1.2rem;
    padding-top: -10px;
    padding-bottom: 10px;
  }
  
  .button-68 {
    appearance: none;
    backface-visibility: hidden;
    background-color: #218c74;
    border-radius: 8px;
    border-style: none;
    box-shadow: rgba(39, 174, 96, .15) 0 4px 9px;
    box-sizing: border-box;
    color: #fff;
    cursor: pointer;
    display: inline-block;
    font-family: Inter,-apple-system,system-ui,"Segoe UI",Helvetica,Arial,sans-serif;
    font-size: 16px;
    font-weight: 600;
    letter-spacing: normal;
    /* line-height: 1.5; */
    outline: none;
    overflow: hidden;
    padding: 10px 20px;
    position: relative;
    text-align: center;
    text-decoration: none;
    transform: translate3d(0, 0, 0);
    transition: all .3s;
    user-select: none;
    -webkit-user-select: none;
    touch-action: manipulation;
    vertical-align: top;
    white-space: nowrap;
  }
  
  .button-68:hover {
    background-color: #33d9b2;
    opacity: 1;
    transform: translateY(0);
    transition-duration: .35s;
  }
  
  .button-68:active {
    transform: translateY(2px);
    transition-duration: .35s;
  }
  
  .button-68:hover {
    box-shadow: rgba(39, 174, 96, .2) 0 6px 12px;
  }
</style>
<script>
  const calculate = () =>{
  let ps = document.getElementById('1').value;
  let dsgt = document.getElementById('2').value;
  let ds = document.getElementById('3').value;
  let cao = document.getElementById('4').value;
  let dbms = document.getElementById('5').value;
  let seva = document.getElementById('6').value;
  let hss = document.getElementById('7').value;
  let grades = "";
  let performance ="";


  let totalGrades = parseFloat(ps) + parseFloat(dsgt) + parseFloat(ds) + parseFloat(cao) + parseFloat(dbms) + parseFloat(seva) + parseFloat(hss);
//   alert(totalGrades);

  let SGPA = (totalGrades/21).toFixed(2);
//   alert(SGPA);

  let perc = ((SGPA-0.75)*10).toFixed(1);
//   alert(perc);

  debugger;

  if(SGPA >= 10){
    grades = 'O';
    performance = 'Outstanding';
  }else if(SGPA >=9){
     grades = 'A';
     performance = 'Excellent';
  }else if(SGPA >= 8){
     grades = 'B';
     performance = 'Very Good';
  }else if(SGPA >= 7){
     grades = 'C';
     performance = 'Good';
  }else if(SGPA >= 6){
     grades = 'D';
     performance = 'Fair';
  }else if(SGPA >= 5){
     grades = 'E';
     performance = 'Average';
  }else if(SGPA >= 4){
     grades = 'P';
     performance = 'Pass';
  }else{
     grades = 'F';
     performance = 'Fail';
  }
  document.getElementById('showData').innerHTML = ` Out of 210 your total is  <span style="color: #33d9b2">${totalGrades}</span>, SGPA is <span style="color: #33d9b2">${SGPA}</span> and percentage is <span style="color: #33d9b2">${perc}%</span>. <br> Your grade is <span style="color: #33d9b2">${grades}</span>. You are Performance is <span style="color: #33d9b2">${performance}</span>.`
}
</script>
<body>
    <div class="background">
      <div class="container">
        <div class="screen">
          <div class="screen-body">
            <div class="screen-body-item left">
              <div class="app-title">
                <div class="animated infinite pulse">
                  Student <br> Grade <br> Calculator
                </div>
              </div>
            </div>
            <div class="screen-body-item">
              <div class="app-form">
                <div class="animated infinite pulse" >
                    <p type="text" class="app-form-control1" id="l1">Enter Your C*GP of Each Subject</p>
                </div>
                <div class="app-form-group">
                  <input type="text" class="app-form-control" placeholder="Probability and Statistics" id="1">
                </div>
                <div class="app-form-group">
                  <input  type="text"  class="app-form-control"   placeholder="Discrete Structures and Graph Theory" id="2">
                </div>
                 <div class="app-form-group">
                  <input  type="text"  class="app-form-control"   placeholder="Data Structures" id="3">
                </div>
                <div class="app-form-group">
                  <input  type="text"  class="app-form-control"   placeholder="Computer Architecture and Organization" id="4" >
                </div>
                <div class="app-form-group">
                    <input  type="text"  class="app-form-control"   placeholder="Database Management Systems" id="5" >
                </div>
                <div class="app-form-group">
                    <input  type="text"  class="app-form-control"   placeholder="SEVA III" id="6" >
                </div>
                <div class="app-form-group">
                    <input  type="text"  class="app-form-control"   placeholder="HSS-I" id="7" >
                </div>
                <div > 
                  <input type="button" id="calculateBtn" name="" value="Calculate" class="button-68" onclick="calculate()">
                </div>            
              </div>
          </div>
    
        </div>
          <div class="app-form-group showdata">
                  <p id="showData" >  </p>
          </div>
       </div>
    </div>
</body>
</html>